import { View, Button, Form, Text, RadioGroup, Picker, Image, Input, Radio, Label, ScrollView } from '@tarojs/components'
import Taro from '@tarojs/taro';
import { useState } from 'react';
import './style.less'

export default (props) => {
  const [dogDate, setDogDate] = useState({ birthday: '请选择生日', sex: '请选择性别', petType: '请选择犬种' })
  const [imgUrl, setImgUrl] = useState()

  const formSubmit = (res) => {
    console.log('formVlue', res);
  }
  const onDateChange = (type, value) => {
    switch (type) {
      case 'petSex':
        setDogDate({ ...dogDate, petSex: selector[value] })
        break;
      case 'petBirthday':
        setDogDate({ ...dogDate, petBirthday: value })
        break;
      case 'petType':
        setDogDate({ ...dogDate, petType: dogType[value].text })//value 01  text 文字
        break;
      default:
        break;
    }

  }
  const selector = ['雄', '雌']
  const dogType = [
    {
      value: 0,
      text: '金毛',
    },
    {
      value: 1,
      text: '拉布拉多',
    },

  ]


  const addImage = () => {

    Taro.chooseImage({
      count: 1, // 默认9
      sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
      sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有，在H5浏览器端支持使用 `user` 和 `environment`分别指定为前后摄像头
      success: function (res) {
        // 返回选定照片的本地文件路径列表，tempFilePath可以作为img标签的src属性显示图片
        var tempFilePaths = res.tempFilePaths
        setImgUrl(tempFilePaths[0])
      },
      fail () {
        Taro.showToast({
          title: '上传失败请重试',
          icon: 'error',
          duration: 1000
        })
      }
    })





  }

  return (
    <ScrollView scrollY style={{ height: '100vh' }}>
      <View class='page' >
        <Form onSubmit={formSubmit}  >
          <mp-form  >
            <mp-cells title=''>
              <mp-cell title='宠物名称' extClass=''>
                <Input name='name' placeholder='请输入宠养区域' />
              </mp-cell>
              <mp-cell title='宠物性别' extClass=''>
                <Picker name='sex' mode='selector' range={selector} onChange={(e) => { onDateChange('petSex', e.detail.value) }}>
                  <View className='picker'>
                    {dogDate.petSex}
                  </View>
                </Picker>
              </mp-cell>
              <mp-cell title='犬种' extClass=''>
                <Picker name='petType' mode='selector' range={dogType} rangeKey='text' onChange={(e) => { onDateChange('petType', e.detail.value) }}>
                  <View className='picker'>
                    {dogDate.petType}
                  </View>
                </Picker>
              </mp-cell>
              <mp-cell title='生日' extClass=''>
                <Picker name='birthday' mode='date' onChange={(e) => { onDateChange('petBirthday', e.detail.value) }}>
                  <View className='picker'>
                    {dogDate.petBirthday}
                  </View>
                </Picker>
              </mp-cell>
              <mp-cell title='毛色' extClass=''>
                <Input name='color' placeholder='请输入宠养区域' />
              </mp-cell>
              <mp-cell title='宠物照片' extClass=''>
                {
                  !imgUrl.image ?
                    <View className='addImage' onClick={addImage} >
                      <Text>+</Text>
                    </View>
                    :
                    <Image className='dogImg1' name='image' src={imgUrl.img1} onClick={addImage} />
                }

              </mp-cell>


            </mp-cells>
          </mp-form>
          <View slot='button' style={{ margin: '4em 0 2em 0' }}>
            <Button style={{ backgroundColor: '#fbd804', borderRadius: '40px', color: '#000', border: '0px' }} class='weui-btn' type='primary' loading={false} formType='submit'>确定</Button>
          </View>
        </Form>
      </View>
    </ScrollView >
  )
}




